%global url_ver %%(echo %{version} | cut -d. -f1-2)

Summary:        LibGTop library (version 2)
Name:           libgtop2
Version:        2.41.2
Release:        2%{?dist}
License:        GPLv2+
URL:            http://download.gnome.org/sources/libgtop
Source0:        http://download.gnome.org/sources/libgtop/%{url_ver}/libgtop-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  gettext
BuildRequires:  pkgconfig(gobject-2.0) pkgconfig(gobject-introspection-1.0)

%description
This library is used to portably obtaining process information, such as their PID, 
memory usage, etc.

%package        devel
Summary:        Libraries and include files for developing with libgtop
Requires:       libgtop2 = %{version}-%{release}

%description    devel
This package provides the necessary development libraries and header files for LibGTop.

%prep
%autosetup -n libgtop-%{version}

%build
%configure --disable-gtk-doc --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

%find_lang libgtop

%files -f libgtop.lang
%license COPYING
%doc AUTHORS NEWS README
%{_libexecdir}/libgtop_daemon2
%{_libexecdir}/libgtop_server2
%{_libdir}/libgtop-2.0.so.11*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GTop-2.0.typelib

%files devel
%{_includedir}/libgtop-2.0
%{_libdir}/libgtop-2.0.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GTop-2.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libgtop
%exclude %{_datadir}/info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.41.2-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 2.41.2-1
- Upgrade to version 2.41.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.40.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.40.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.40.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 31 2022 Wang Guodong <gordonwwang@tencent.com> - 2.40.0-1
- package init.
